| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Multi Line Hunt Group

Multi Line Hunt Group Definitions and Methods. More...

## Classes
struct | unsp__MlhgTermStatus
| ML Hunt Group Terminal Status. More...
struct | unsp__MlhgTermOptions
| MLHG Terminal Options. More...
struct | unsp__MlhgTermInfo
| The Terminal Information for an ML Hunt Group. More...
struct | unsp__MlhgTermEntry
| ML Hunt Group Terminal Entry. More...
struct | unsp__MlhgTermList
| MLHG Terminal List. More...
struct | unsp__GetMlhgInfoOptionList
| List of Get MLHG Information Option entries. More...
struct | unsp__MlhgInfo
| ML Hunt Group Information. More...
struct | unsp__GetMlhgInfoResult
| Get MLHG Information result. More...
struct | unsp__AddSubToMlhgRequest
| Add Subscriber to MLHG request. More...
struct | unsp__ModifyMlhgTermInfoRequest
| Modify MLHG Terminal request. More...
struct | unsp__MlhgResult
| MLHG result. More...
struct | unsp__CreateMlhgRequest
| Create MLHG request. More...
struct | unsp__ModifyMlhgInfoRequest
| Modify MLHG request. More...
struct | unsp__DeleteMlhgInfoRequest
| Delete MLHG request. More...
struct | unsp__GetMlhgInfoRequest
| Get MLHG Information request. More...
struct | unsp__AddSubToMlhgRequest2
| Add Subscriber to MLHG request. More...
struct | unsp__MlhgTermResult
| MLHG Terminal result. More...
struct | unsp__ModifyMlhgTermInfoRequest2
| Modify MLHG Terminal request. More...
struct | unsp__DeleteMlhgTermRequest2
| Delete MLHG Terminal request. More...
struct | unsp__MlhgTMDataEntry
| ML Hunt Group Traffic Measurements Data Entry. More...
struct | unsp__MlhgTMDataList
| List of MLHG TM Data Entries. More...
struct | unsp__GetMlhgTMDataResult
| Get Mlhg Traffic Measurement Data result. More...
struct | unsp__GetMlhgTMDataRequest
| Get Mlhg Traffic Measurement Data request. More...
class | unsp__HGMember
| MLHG Member data. More...
class | unsp__HGMembersList
| MLHG Members List. More...
struct | unsp__ListHGMembersResult
| List MLHG Members result. More...
struct | unsp__ListHGMembersRequest
| List MLHG Members request. More...

## Enumerations
enum | unsp__MlhgBusyStatus { NotBusy_, Busy_, NotBusyThisGroup_, BusyThisGroup_ }
| Specifies the Busy Status of an MLHG member. More...
enum | unsp__MlhgStopHuntStatus { NotStopHunt, StopHunt }
| Specifies the Stop Hunt Status of an MLHG member. More...
enum | unsp__PilotDnType { Type_MasterHuntGroup, Type_PilotDn }
| Specifies the ML Hunt Group Pilot DN Type. More...
enum | unsp__HuntType { Init = -1, Linear, CircularWithHunt, UCD, Manual, Parallel, ParallelSA }
| ML Hunting Algorithm. More...
enum | unsp__CallingPartySource { PilotDn_, UseLineDnAndPilotDn }
| ML Hunt Group Calling Party Source. More...
enum | unsp__GetMlhgInfoOptionEntry { IncludeMlhgTermList }
| Get MLHG Information Option entry. More...
enum | unsp__HGFilterType { HGFilterByPilotDn, HGFilterByName, HGFilterByHuntType }
| ML Hunt Group Filter Type. More...

## Functions
int | unsp__CreateMlhg2 (struct unsp__CreateMlhgRequest CreateMlhgRequest, struct unsp__MlhgResult *MlhgResult)
| Creates a ML hunt Group. More...
int | unsp__ModifyMlhgInfo2 (struct unsp__ModifyMlhgInfoRequest ModifyMlhgInfoRequest, struct unsp__MlhgResult *MlhgResult)
| Updates the information of a ML Hunt Group. More...
int | unsp__DeleteMlhg2 (struct unsp__DeleteMlhgInfoRequest DeleteMlhgInfoRequest, struct unsp__MlhgResult *MlhgResult)
| This method deletes the specified Hunt Group. More...
int | unsp__GetMlhgInfo2 (struct unsp__GetMlhgInfoRequest GetMlhgInfoRequest, struct unsp__GetMlhgInfoResult *GetMlhgInfoResult)
| This method retrieves the information of a ML Hunt Group. More...
int | unsp__AddSubToMlhg2 (struct unsp__AddSubToMlhgRequest2 AddSubToMlhgRequest, struct unsp__MlhgResult *MlhgResult)
| This method adds a subscriber to a Hunt Group. More...
int | unsp__ModifyMlhgTermInfo2 (struct unsp__ModifyMlhgTermInfoRequest2 ModifyMlhgTermInfoRequest, struct unsp__MlhgTermResult *MlhgTermResult)
| This method modifies the information of ML hunt Group Terminal. More...
int | unsp__DeleteMlhgTerm2 (struct unsp__DeleteMlhgTermRequest2 DeleteMlhgTermRequest, struct unsp__MlhgTermResult *MlhgTermResult)
| This method removes an MLHG Terminal. More...
int | unsp__GetMlhgTMData (struct unsp__GetMlhgTMDataRequest GetMlhgTMDataRequest, struct unsp__GetMlhgTMDataResult *GetMlhgTMDataResult)
| This method retrieves Hunt Group Traffic Measurement Data. More...
int | unsp__ListHGMembers (struct unsp__ListHGMembersRequest ListHGMembersRequest, struct unsp__ListHGMembersResult *ListHGMembersResult)
| List the Members of ML Hunt Groups. More...

## Detailed Description

Multi Line Hunt Group Definitions and Methods.

A Hunt Group is a collection of phones that have a common pilot directory number (Pilot DN) and specific processing. An Hunt Group is identified by its Pilot DN.

A subscriber or BGL can be a member of multiple Hunt Groups. In this case, one Hunt Group is designated as the primary Hunt Group. If subscriber S is a member of Hunt Group A and is also the Pilot DN of Hunt Group B, hunting through Hunt Group B takes place only if subscriber S is called directly, not if the call is presented to subscriber S as a result of hunting after an incoming call to Hunt Group A's Pilot DN. When a subscriber or BGL is a member of multiple Hunt Groups and its primary Hunt Group is removed, the member's primary Hunt Group designation is updated to refer to one of the still existing Hunt Groups (the next one in chronological order in which the member was added to the Hunt Groups).

Hunt Groups can consist of BG phones, but not a combination within a single Hunt Group.

The DN to be used as a Hunt Group Pilot DN or a Hunt Group terminal DN must be created as a subscriber before being converted into a Hunt Group Pilot or terminal. The subscriber can have a connection (phone). If the Hunt Group Pilot subscriber has a phone, then that phone is the master phone for the Hunt Group and controls the Hunt Group services (CFB, CFDA, and so on). If the subscriber does not have any connection info, then the Hunt Group is just a container with its service features.

Service features can be applied to the Hunt Group Pilot DN or an Hunt Group Member (DN). When a caller calls a subscriber that is an Hunt Group Pilot DN, the services of the Pilot DN (with some exceptions) are executed not the services of the member or terminal to which the call actually hunts and terminates to. On the other hand, when a caller directly calls a subscriber that is a member of one or more Hunt Groups, the subscriber's services are executed and not those of any Hunt Group of which the subscriber may be a member.

An exception to the above statement is Keyset Operation. A subscriber can be a keyset phone and also be a member of a Hunt Group. In this case, it is desirable that when an incoming call reaches a keyset Hunt Group member via hunting, the call should be presented to all devices where the subscriber has a line appearance. To accomplish this, it is necessary for the Hunt Group service to start the keyset service on each individual Hunt Group member, if it is a keyset subscriber, and also to stop the service if the No Advance timer expires and hunting must continue.

Outgoing calls, with some exceptions, invoke the subscriber's features, and not those of the Hunt Group.

The OpenScape Voice system can support 25K Hunt Groups and 150K terminals system-wide. Each Hunt Group can have up to 2000 terminals. The maximum queue size for a Hunt Group is 511.

## Enumeration Type Documentation

## ◆ unsp__CallingPartySource

enum unsp__CallingPartySource

ML Hunt Group Calling Party Source.

Enumerator
PilotDn_ | Deprecated: NA
UseLineDnAndPilotDn | Indicates that the calling number used for outgoing is the device that is a terminal in the MLHG.

## ◆ unsp__GetMlhgInfoOptionEntry

enum unsp__GetMlhgInfoOptionEntry

Get MLHG Information Option entry.

Enumerator
IncludeMlhgTermList | Include MLHG Terminal List.

## ◆ unsp__HGFilterType

enum unsp__HGFilterType

ML Hunt Group Filter Type.

Enumerator
HGFilterByPilotDn | Filter By Pilot DN.
HGFilterByName | Filter By MLHG Name.
HGFilterByHuntType | Filter By MLHG Hunt Type.

## ◆ unsp__HuntType

enum unsp__HuntType

ML Hunting Algorithm.

Enumerator
Init | value used for initialization, not a valid one .
Linear | An available line is searched for starting with line 1 of the group sequentially through the group until the last member is reached. The first available line is chosen to present the call to.
CircularWithHunt | An available line is searched for beginning with the line position stored when the previous call to the Hunt Group was made. When a line is selected to complete a call to the group, the line that is one past it in the group is marked to become the starting point for the hunt on the next call to the Hunt Group. For example, if the last line in the group was chosen for the previous call, then this is the first line in the group for the next call.
UCD | The line selected is the line which has been idle for the longest time.
Manual | The distribution of calls to agents will not be done by the OpenScape Voice system. All incoming calls will be queued. For the distribution to work, the Hunt Group should also be marked for CSTA, allowing an external application to be notified of calls going into the queue, and to subsequently retrieve (reroute) those calls.
Parallel | All available members of the Hunt Group are notified simultaneously whenever a new call arrives at the Hunt Group.
ParallelSA | All available members of the Hunt Group are rung simultaneously whenever a new call arrives at the Hunt Group. A maximum of 32 members may be provisioned for a ML Hunt Group of this type

## ◆ unsp__MlhgBusyStatus

enum unsp__MlhgBusyStatus

Specifies the Busy Status of an MLHG member.

Enumerator
NotBusy_ | Not Busy for All Groups.
Busy_ | Busy for All Groups.
NotBusyThisGroup_ | Not Busy for this Group.
BusyThisGroup_ | Busy for this Group.

## ◆ unsp__MlhgStopHuntStatus

enum unsp__MlhgStopHuntStatus

Specifies the Stop Hunt Status of an MLHG member.

Enumerator
NotStopHunt | Not Stop Hunt.
StopHunt | Stop Hunt. New incoming calls should not keep searching for an open phone beyond this one.

## ◆ unsp__PilotDnType

enum unsp__PilotDnType

Specifies the ML Hunt Group Pilot DN Type.

Enumerator
Type_MasterHuntGroup | SIP Master Pilot DN.
Type_PilotDn | Profile Only Pilot DN.

## Function Documentation

## ◆ unsp__AddSubToMlhg2()

unsp__AddSubToMlhg2 | ( | struct unsp__AddSubToMlhgRequest2 | AddSubToMlhgRequest,
|  | struct unsp__MlhgResult * | MlhgResult
| ) |  |

This method adds a subscriber to a Hunt Group.

Parameters

  AddSubToMlhgRequest | API request
  MlhgResult | API result MP2 command: MLHGADDSUB [Attributes]

## ◆ unsp__CreateMlhg2()

unsp__CreateMlhg2 | ( | struct unsp__CreateMlhgRequest | CreateMlhgRequest,
|  | struct unsp__MlhgResult * | MlhgResult
| ) |  |

Creates a ML hunt Group.

The MLHG Pilot may be a SIP or Profile-Only Subscriber.

Parameters

  CreateMlhgRequest | API request
  MlhgResult | API result MP2 command: MLHGCREATE [Attributes]

## ◆ unsp__DeleteMlhg2()

unsp__DeleteMlhg2 | ( | struct unsp__DeleteMlhgInfoRequest | DeleteMlhgInfoRequest,
|  | struct unsp__MlhgResult * | MlhgResult
| ) |  |

This method deletes the specified Hunt Group.

Parameters

  DeleteMlhgInfoRequest | API request
  MlhgResult | API result MP2 command: MLHGREMOVE [Attributes]

## ◆ unsp__DeleteMlhgTerm2()

unsp__DeleteMlhgTerm2 | ( | struct unsp__DeleteMlhgTermRequest2 | DeleteMlhgTermRequest,
|  | struct unsp__MlhgTermResult * | MlhgTermResult
| ) |  |

This method removes an MLHG Terminal.

Parameters

  DeleteMlhgTermRequest | API request
  MlhgTermResult | API result MP2 command: MLHGREMTERM [Attributes]

## ◆ unsp__GetMlhgInfo2()

unsp__GetMlhgInfo2 | ( | struct unsp__GetMlhgInfoRequest | GetMlhgInfoRequest,
|  | struct unsp__GetMlhgInfoResult * | GetMlhgInfoResult
| ) |  |

This method retrieves the information of a ML Hunt Group.

Parameters

  GetMlhgInfoRequest | API request
  GetMlhgInfoResult | API result

## ◆ unsp__GetMlhgTMData()

unsp__GetMlhgTMData | ( | struct unsp__GetMlhgTMDataRequest | GetMlhgTMDataRequest,
|  | struct unsp__GetMlhgTMDataResult * | GetMlhgTMDataResult
| ) |  |

This method retrieves Hunt Group Traffic Measurement Data.

Parameters

  GetMlhgTMDataRequest | API request
  GetMlhgTMDataResult | API result

## ◆ unsp__ListHGMembers()

unsp__ListHGMembers | ( | struct unsp__ListHGMembersRequest | ListHGMembersRequest,
|  | struct unsp__ListHGMembersResult * | ListHGMembersResult
| ) |  |

List the Members of ML Hunt Groups.

Parameters

  ListHGMembersRequest | API request
  ListHGMembersResult | API result

## ◆ unsp__ModifyMlhgInfo2()

unsp__ModifyMlhgInfo2 | ( | struct unsp__ModifyMlhgInfoRequest | ModifyMlhgInfoRequest,
|  | struct unsp__MlhgResult * | MlhgResult
| ) |  |

Updates the information of a ML Hunt Group.

Parameters

  ModifyMlhgInfoRequest | API request
  MlhgResult | API result MP2 command: MLHGMODIFY [Attributes]

## ◆ unsp__ModifyMlhgTermInfo2()

unsp__ModifyMlhgTermInfo2 | ( | struct unsp__ModifyMlhgTermInfoRequest2 | ModifyMlhgTermInfoRequest,
|  | struct unsp__MlhgTermResult * | MlhgTermResult
| ) |  |

This method modifies the information of ML hunt Group Terminal.

Parameters

  ModifyMlhgTermInfoRequest | API request
  MlhgTermResult | API result MP2 command: MLHGMODTERM [Attributes]